org.eclipse.viatra.cep.core.metamodels.automaton.util

## Class AutomatonSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.viatra.cep.core.metamodels.automaton.util.AutomatonSwitch<T>

-     public class AutomatonSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `AutomatonPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static AutomatonPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutomatonSwitch()` Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseAutomaton(Automaton object)` Returns the result of interpreting the object as an instance of 'Automaton'.
    `T` | `caseEpsilonTransition(EpsilonTransition object)` Returns the result of interpreting the object as an instance of 'Epsilon Transition'.
    `T` | `caseEventToken(EventToken object)` Returns the result of interpreting the object as an instance of 'Event Token'.
    `T` | `caseFinalState(FinalState object)` Returns the result of interpreting the object as an instance of 'Final State'.
    `T` | `caseGuard(Guard object)` Returns the result of interpreting the object as an instance of 'Guard'.
    `T` | `caseHoldsFor(HoldsFor object)` Returns the result of interpreting the object as an instance of 'Holds For'.
    `T` | `caseInitState(InitState object)` Returns the result of interpreting the object as an instance of 'Init State'.
    `T` | `caseInternalModel(InternalModel object)` Returns the result of interpreting the object as an instance of 'Internal Model'.
    `T` | `caseNegativeTransition(NegativeTransition object)` Returns the result of interpreting the object as an instance of 'Negative Transition'.
    `T` | `caseParameter(Parameter object)` Returns the result of interpreting the object as an instance of 'Parameter'.
    `T` | `caseParameterBinding(ParameterBinding object)` Returns the result of interpreting the object as an instance of 'Parameter Binding'.
    `T` | `caseParameterTable(ParameterTable object)` Returns the result of interpreting the object as an instance of 'Parameter Table'.
    `T` | `caseState(State object)` Returns the result of interpreting the object as an instance of 'State'.
    `T` | `caseTimedZone(TimedZone object)` Returns the result of interpreting the object as an instance of 'Timed Zone'.
    `T` | `caseTransition(Transition object)` Returns the result of interpreting the object as an instance of 'Transition'.
    `T` | `caseTrapState(TrapState object)` Returns the result of interpreting the object as an instance of 'Trap State'.
    `T` | `caseTypedTransition(TypedTransition object)` Returns the result of interpreting the object as an instance of 'Typed Transition'.
    `T` | `caseWithin(Within object)` Returns the result of interpreting the object as an instance of 'Within'.
    `T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static AutomatonPackage modelPackage

      The cached model package
      Generated:

  - ### Constructor Detail

    - #### AutomatonSwitch

          public AutomatonSwitch()

      Creates an instance of the switch.
      Generated:

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `ePackage` - the package in question.
      Returns:
        whether this is a switch for the given package.
      Generated:

    - #### doSwitch

          protected T doSwitch(int classifierID,
                               org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated:

    - #### caseInternalModel

          public T caseInternalModel(InternalModel object)

      Returns the result of interpreting the object as an instance of 'Internal Model'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Internal Model'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAutomaton

          public T caseAutomaton(Automaton object)

      Returns the result of interpreting the object as an instance of 'Automaton'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Automaton'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEventToken

          public T caseEventToken(EventToken object)

      Returns the result of interpreting the object as an instance of 'Event Token'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Event Token'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseState

          public T caseState(State object)

      Returns the result of interpreting the object as an instance of 'State'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'State'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseInitState

          public T caseInitState(InitState object)

      Returns the result of interpreting the object as an instance of 'Init State'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Init State'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseFinalState

          public T caseFinalState(FinalState object)

      Returns the result of interpreting the object as an instance of 'Final State'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Final State'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTrapState

          public T caseTrapState(TrapState object)

      Returns the result of interpreting the object as an instance of 'Trap State'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Trap State'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTransition

          public T caseTransition(Transition object)

      Returns the result of interpreting the object as an instance of 'Transition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Transition'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTypedTransition

          public T caseTypedTransition(TypedTransition object)

      Returns the result of interpreting the object as an instance of 'Typed Transition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Typed Transition'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseNegativeTransition

          public T caseNegativeTransition(NegativeTransition object)

      Returns the result of interpreting the object as an instance of 'Negative Transition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Negative Transition'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEpsilonTransition

          public T caseEpsilonTransition(EpsilonTransition object)

      Returns the result of interpreting the object as an instance of 'Epsilon Transition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Epsilon Transition'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseGuard

          public T caseGuard(Guard object)

      Returns the result of interpreting the object as an instance of 'Guard'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Guard'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTimedZone

          public T caseTimedZone(TimedZone object)

      Returns the result of interpreting the object as an instance of 'Timed Zone'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Timed Zone'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseWithin

          public T caseWithin(Within object)

      Returns the result of interpreting the object as an instance of 'Within'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Within'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseHoldsFor

          public T caseHoldsFor(HoldsFor object)

      Returns the result of interpreting the object as an instance of 'Holds For'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Holds For'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseParameter

          public T caseParameter(Parameter object)

      Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseParameterTable

          public T caseParameterTable(ParameterTable object)

      Returns the result of interpreting the object as an instance of 'Parameter Table'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter Table'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseParameterBinding

          public T caseParameterBinding(ParameterBinding object)

      Returns the result of interpreting the object as an instance of 'Parameter Binding'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter Binding'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### defaultCase

          public T defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated: